package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF134 extends MwfRequest<MWF134, MWF134Response> {

    @Parameter(name = "CIF")
    MWF134 cif(String cif);
    @Parameter(name = "CisloBU")
    MWF134 cisloBU(String cisloBU);
    @Parameter(name = "DrzitelCIF")
    MWF134 drzitelCIF(String drzitelCIF);
    @Parameter(name = "DrzitelDatumNarozeni")
    MWF134 drzitelDatumNarozeni(java.util.Date drzitelDatumNarozeni);
    @Parameter(name = "DrzitelHeslo")
    MWF134 drzitelHeslo(String drzitelHeslo);
    @Parameter(name = "DrzitelRC")
    MWF134 drzitelRC(String drzitelRC);
    @Parameter(name = "DrzitelTelefon")
    MWF134 drzitelTelefon(String drzitelTelefon);
    @Parameter(name = "DrzitelTelefon3DSecure")
    MWF134 drzitelTelefon3DSecure(String drzitelTelefon3DSecure);
    @Parameter(name = "DrzitelTelefonPredcisli")
    MWF134 drzitelTelefonPredcisli(String drzitelTelefonPredcisli);
    @Parameter(name = "DrzitelTelefonZamestnani")
    MWF134 drzitelTelefonZamestnani(String drzitelTelefonZamestnani);
    @Parameter(name = "DrzitelTelefonZamestnaniPredcisli")
    MWF134 drzitelTelefonZamestnaniPredcisli(String drzitelTelefonZamestnaniPredcisli);
    @Parameter(name = "Heslo")
    MWF134 heslo(String heslo);
    @Parameter(name = "KlientJmeno")
    MWF134 klientJmeno(String klientJmeno);
    @Parameter(name = "KlientPrijmeni")
    MWF134 klientPrijmeni(String klientPrijmeni);
    @Parameter(name = "LimitBankomat")
    MWF134 limitBankomat(Double limitBankomat);
    @Parameter(name = "LimitObchodnik")
    MWF134 limitObchodnik(Double limitObchodnik);
    @Parameter(name = "MSISDN")
    MWF134 msisdn(String msisdn);
    @Parameter(name = "PCTTabulka")
    MWF134 pCTTabulka(String pCTTabulka);
    @Parameter(name = "PlasticID")
    MWF134 plasticID(String plasticID);
    @Parameter(name = "PoleDS")
    MWF134 poleDS(String poleDS);
    @Parameter(name = "TypKartySchvaleno")
    MWF134 typKartySchvaleno(String typKartySchvaleno);
    @Parameter(name = "VytlaceneJmeno")
    MWF134 vytlaceneJmeno(String vytlaceneJmeno);
    @Parameter(name = "VytlaceneJmeno2")
    MWF134 vytlaceneJmeno2(String vytlaceneJmeno2);
    @Parameter(name = "ZAKartaCO")
    MWF134 zAKartaCO(String zAKartaCO);
    @Parameter(name = "ZAKartaCP")
    MWF134 zAKartaCP(String zAKartaCP);
    @Parameter(name = "ZAKartaObec")
    MWF134 zAKartaObec(String zAKartaObec);
    @Parameter(name = "ZAKartaPSC")
    MWF134 zAKartaPSC(String zAKartaPSC);
    @Parameter(name = "ZAKartaPosta")
    MWF134 zAKartaPosta(String zAKartaPosta);
    @Parameter(name = "ZAKartaTypAdresy")
    MWF134 zAKartaTypAdresy(String zAKartaTypAdresy);
    @Parameter(name = "ZAKartaUlice")
    MWF134 zAKartaUlice(String zAKartaUlice);
    @Parameter(name = "ZAPINCO")
    MWF134 zapinco(String zapinco);
    @Parameter(name = "ZAPINCP")
    MWF134 zapincp(String zapincp);
    @Parameter(name = "ZAPINObec")
    MWF134 zAPINObec(String zAPINObec);
    @Parameter(name = "ZAPINPSC")
    MWF134 zapinpsc(String zapinpsc);
    @Parameter(name = "ZAPINPosta")
    MWF134 zAPINPosta(String zAPINPosta);
    @Parameter(name = "ZAPINTypAdresy")
    MWF134 zAPINTypAdresy(String zAPINTypAdresy);
    @Parameter(name = "ZAPINUlice")
    MWF134 zAPINUlice(String zAPINUlice);
    @Parameter(name = "ZamestnaniTelefon")
    MWF134 zamestnaniTelefon(String zamestnaniTelefon);
    @Parameter(name = "ZpusobDistribucePIN")
    MWF134 zpusobDistribucePIN(String zpusobDistribucePIN);
}
